%Florian Fleischmann, Rinnigstr. 18, 91330 Eggolsheim
%Studiengangsnummer: 1400
%Matrikelnummer: 880674
%Name der B-Aufgabe: PR1MES1E1K02
%Einsendeaufgabencode: PR1MES1E1 - XX1 - K02

%Servomotor

clear all;

%Modellparameter
d=16.49;
k=26057.39;
J_L=0.556;
J=5;
R=2.5;
L=30e-3;
KM=36;
Komega=34;
Ttot=2e-4;
Imax=25;
UZ=560;
MR=40;
dxm=1e-7;
Tel=L/R;
Mmax=Imax*KM;

%Reglereinstellungen
Kpx=50;
Kpv=50;
Kpi=20;
Tn=0.05;
Fv=0;

%Fhrungsgren
Tsoll=[0 0.2 0.201 0.599 0.6 0.8 0.801 1];
Phisoll=[0 0.5 0.5 0.5 0.5 0 0 0];
Omegasoll=[2.5 2.5 0 0 -2.5 -2.5 0 0];
ML=[0 0 200 200 0 0 0 0];

%Simulationsparameter
Tsim=1;
dt=2e-5;
ein_opts=simset('Maxrows',100000,'Solver','ode5','FixedStep',dt);

%Simulationsaufruf
[x,y,t]=sim('Servomotor_mod',Tsim, ein_opts);

%Darstellung
figure(1); hold off; plot(Tsoll,Phisoll,'k--'); hold on; plot(ts,phis,'k');
title('Simulation des synamischen Verhaltens einer Servoachse')
xlabel('t in s'); ylabel('phi in rad'); grid on


